package cscie160.project.atm;
import cscie160.project.account.AccountInfo;
import cscie160.project.security.exception.*;

/**
  * By David Cheung <p>
  * CSCIE160 project <p>
  * Due: 05-16-2001 <p>
  * <p>
  * ATM Interface <p>
  * Provides the interface to interact with the ATMImpl class
  * and the client side.<p>
  * <p>
  * Added transfer function to support transfer.
  *
  */

public interface ATM extends java.rmi.Remote
{
	public void deposit(AccountInfo anAccount, float amount) 
			throws java.rmi.RemoteException,
					UnpermittedTransactionException,
					SecurityInvalidPinException;
	public void withdraw(AccountInfo anAccount, float amount) 
			throws java.rmi.RemoteException,
					UnpermittedTransactionException,
					OverdrawnException,
					SecurityInvalidPinException;
	public float getBalance(AccountInfo anAccount) 
			throws java.rmi.RemoteException,
					UnpermittedTransactionException,
					SecurityInvalidPinException;
	public void transfer(AccountInfo fromAccount, AccountInfo toAccount, float amount) 
			throws java.rmi.RemoteException,
					UnpermittedTransactionException,
					OverdrawnException,
					SecurityInvalidPinException;
	public void addCallBack(ATMListener aListener)
			throws java.rmi.RemoteException;
}