package cscie160.project.account;

/**
  * By David Cheung <p>
  * CSCIE160 Project <p>
  * Due 05-16-2001 <p>
  *
  * AccountImpl class: <p>
  * Updated for project. This class implements the
  * Account interface:<p>
  * getBalance, deposit, and withdraw. <p>
  * <p>  
  * This class also kept what was in the last homework (hw5): <p>
  * getAccountNumber.<p>
  * <p>
  * @since 		04-07-2001
  * @updated  	05-16-2001
  *
  */


public class AccountImpl 
		extends java.rmi.server.UnicastRemoteObject
		implements cscie160.project.account.Account
{
	/** stores the users's name*/
   private int accountNumber;
   /** stores the user's balance. */
   private float accountBalance;
   /** stores the accountInternalId (if necessary. */
   private int accountInternalId;
   
	private static int private_num_id=1;
	
	
	// Accessors and mutators
	/** returns the current balance of the account */
	public float getBalance()
	{
		return accountBalance;
	}
	/** deposits money into the account */
	public void deposit(float amount)
	{
		accountBalance = accountBalance + amount;
	}
	/** withdraws money from the account */
	public void withdraw(float amount)
	{
		accountBalance = accountBalance - amount;
	}
	
	/** returns the account ID for an account */
	public int getAccountNumber()
	{
		return accountNumber;
	}
	 
   /**
     * Account Constructor <p> 
     * <p>
     * static account_num_id ++ increments
     * so that account_num can be easily
     * accessed.
     */
 	AccountImpl() throws java.rmi.RemoteException
	{
		accountNumber = private_num_id;
		accountInternalId=private_num_id;
		private_num_id++;	
		accountBalance = 0;
	}
	/**
	  * Creates an account with an account number
	  * specified.
	  * 
	  */	
	AccountImpl(int number)throws java.rmi.RemoteException
	{
		accountNumber = number ;
		accountInternalId=private_num_id;
		private_num_id++;	
		accountBalance = 0;
	}	
	/**
	  * Creates an account with an account and
	  * initial balance.
	  */
	public AccountImpl(int number, float inputBalance)throws java.rmi.RemoteException
	{
		accountNumber = number ;
		accountInternalId=private_num_id;
		private_num_id++;	
		accountBalance = inputBalance;
	}	

	// test Bed:
	public static void main (String argv[])
	{
		try
		{
		AccountImpl acctA = new AccountImpl(000001, 600);
		System.out.print("Balance = " + acctA.getBalance());
		acctA.withdraw(30);
		System.out.print("Balance = " + acctA.getBalance());
		acctA.deposit(40);
		System.out.print("Balance = " + acctA.getBalance());
		}
		catch (java.rmi.RemoteException re)
		{
			re.printStackTrace();
		}
	}
}