package cscie160.project.atm;

import java.rmi.*;
import java.rmi.server.UnicastRemoteObject;
import cscie160.project.atm.*;


/**
  * By David Cheung <p>
  * CSCIE160 project <p>
  * DUE: 05-16-2001 <p>
  * <p>
  * ATMFactoryImpl: <p>
  * This class implements the ATMFactory interfaces and
  * creates an ATM_I class and exports it via getATM() function.
  * <p>
  * Has not been changed since hw5.
  */

public class ATMFactoryImpl
			extends UnicastRemoteObject
			implements ATMFactory
{
	
	public ATMImpl ATM_I;
	
	/** ATMFactoryImpl Constructor <p>
	  * <p>
	  * Initializes UnicastRemoteObject class and
	  * ATM_I object.
	  */
	  
	ATMFactoryImpl() throws RemoteException
	{
		super();
		ATM_I = new ATMImpl();
	}
	
	/** getATM: <p>
	  * <p>
	  * Returns an ATM class for client side.
	  */
	public ATM getATM() throws RemoteException
	{
		return (ATM)ATM_I;
	}
}