package cscie160.project.atm;

import java.rmi.*;
import java.rmi.server.UnicastRemoteObject;
import cscie160.project.atm.ATMFactoryImpl;

/**
  * By David Cheung <p>
  * CSCIE160 Project <p>
  * Due: 05-16-2001 <p>
  * <p>
  * Server class: <p>
  * This only contain the main class that creates an RMISecurityManager
  * and creates a ATMFactoryImpl instance. 
  * Then registers the class to RMI registry.<p>
  * <p>
  * This function did not change since HW5.
  */

public class ATMServer
{

	public static void main(String argv[])
	{
		//Create and install a security manager
		System.setSecurityManager(new RMISecurityManager());
		try
		{
			ATMFactoryImpl Factory = new ATMFactoryImpl();
			Naming.rebind("//localhost/atmfactory", Factory);
			System.out.println("ATM factory bound in registery...");
		
		}catch (Exception e)
		{
			System.out.println("ATMFactory err: " + e.getMessage());
			e.printStackTrace();
		}
	}	
}