package cscie160.project.bank;

import java.net.MalformedURLException;
import java.rmi.Naming;
import java.rmi.NotBoundException;
import java.rmi.RemoteException;
import java.rmi.UnknownHostException;

/** CSCIE libraries */
import cscie160.project.atm.ATMFactoryImpl;
import cscie160.project.account.Account;

/**
  * By David Cheung <p>
  * CSCIE160 Project <p>
  * 05-16-2001 <p>
  * <p>
  * Test bed class to test remote object for bank operations.
  */

public class BankClient_Test
{
	public static void main(String[] args)
	{
		Bank BankA = null;
		try
		{
			BankA = (Bank)Naming.lookup("//localhost/Bank");

		} catch(MalformedURLException mue)
		{
			mue.printStackTrace();
		} catch(NotBoundException nbe)
		{
			nbe.printStackTrace();
		} catch(UnknownHostException uhe)
		{
			uhe.printStackTrace();
		} catch(RemoteException re)
		{
			re.printStackTrace();
		}
		if(BankA!=null)
		{
			try
			{

				Account acctA = BankA.getAccount(3);
				if(acctA!=null)
				{
					System.out.println("Acccount 1 balance: " + acctA.getBalance());
				}
			} catch(RemoteException re)
			{
				System.out.println("An exception occurred while communicationg with the ATM");
				re.printStackTrace();
			}
		}
	}
}