package cscie160.project.bank;

import java.rmi.*;
import java.rmi.server.UnicastRemoteObject;
import cscie160.project.security.SecurityImpl;
import cscie160.project.bank.BankImpl;

/**
  * By David Cheung <p>
  * CSCIE160 Project <p>
  * Due: 05-16-2001 <p>
  * <p>
  * Server class: <p>
  * Creates BankImpl and SecurityImpl instance. 
  * Then registers the classes to RMI registry.
  * 
  */

public class BankServer
{

	public static void main(String argv[])
	{
		//Create and install a security manager
		System.setSecurityManager(new RMISecurityManager());
		try
		{
			BankImpl Bank_I = new BankImpl();
			SecurityImpl Sec_I = new SecurityImpl();
			Naming.rebind("//localhost/Bank", Bank_I);
			System.out.println("Bank bound in registery...");
			Naming.rebind("//localhost/Security", Sec_I);
			System.out.println("Security bound in registery...");

		
		}catch (Exception e)
		{
			System.out.println("BankServer err: " + e.getMessage());
			e.printStackTrace();
		}
	}	
}