package cscie160.project.bank;

import java.rmi.*;
import java.rmi.server.UnicastRemoteObject;
import cscie160.project.atm.ATMFactoryImpl;

/**
  * By David Cheung <p>
  * CSCIE160 Project <p>
  * 05-16-2001 <p>
  * <p>
  * BankServer_Test class: <p>
  * Serves a test bed for BankImpl and Bank interface.
  */

public class BankServer_Test
{

	public static void main(String argv[])
	{
		//Create and install a security manager
		System.setSecurityManager(new RMISecurityManager());
		try
		{
			BankImpl Bank_I = new BankImpl();
			Naming.rebind("//localhost/Bank", Bank_I);
			System.out.println("Bank bound in registery...");
		
		}catch (Exception e)
		{
			System.out.println("BankServer err: " + e.getMessage());
			e.printStackTrace();
		}
	}	
}